<?php
    include ('settings.php');
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ESS Bibliography Tool</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="look/css.css">
        <script type="text/javascript">
            const API_URL = "<?=$API_URL?>";
        </script>
        <script type="text/javascript" src="script/jquery-3.6.0.min.js"></script>
        <script type="text/javascript" src="script/common.js"></script>
    </head>
    <body>
        <header>
            <a href="https://www.europeansocialsurvey.org"><h1><img src="look/ess-logo-top.png"> Bibliography tool  <span style="font-size: 14px;">beta release 0.223</span></h1></a>
            <nav><?=menu()?></nav>
        </header>
        
        <main class="<?=($_GET['w']??'')?>">
<?php
        logic();
?>
        </main>
        
        <footer>
            University of Ljubljana, 2022
	    <br>
            This website does not track you.
        </footer>
    </body>
</html>

<?php

// base logic for front-end

function logic() {
    switch ($_GET['w']??"") {
        case 'search':
            include 'parts/search.php';
            break;
        
        case 'searchResults':
            include 'parts/searchResults.php';
            break;
        
        case 'displayItem':
            include 'parts/displayItem.php';
            break;
            
        case 'browse':
            include 'parts/browse.php';
            
            break;
        
        case 'insert':
            include 'parts/insert.php';
            
            break;
        
        default:
            include 'parts/default.php';
            break;
    }
}
/*
function breadcrumbs() {
    $pre = $_GET['pre']??"";
    $part = $_GET['w']??"";
    
    if (strlen ($pre) > 0) {
        $pre = base64_decode ($pre);
    }
    
    if ($part != "") {
        if ($pre !='') {
            $pre = base64_decode (urldecode($pre));
            
            echo '<a href="?w=' .$pre .'">' .cn($pre) .'</a> :: ';
        }
        
        echo cn($part);
    }
}
*/
function menu () {
    $part = $_GET['w']??"default";
?>
        <ul>
            <li><a href="/"<?=($part=='default'?' class="active"':'')?>>Welcome</a></li>
            <li><a href="/browse"<?=($part=='browse'?' class="active"':'')?>>Search bibliography</a></li>
            <li><a href="/search"<?=($part=='search' || $part == 'searchResults' || $part== 'displayItem'?' class="active"':'')?>>Search ESS variables</a></li>
            <li><a href="/insert"<?=($part=='insert'?' class="active"':'')?>>Add your publication</a></li>
        </ul>
<?php
}

/*
function cn($url) {
    switch ($url) {
        case 'search':
            return 'Search';
            break;
        
        case 'searchResults':
            return 'Search results';
            break;
        
        case 'displayItem':
            return 'Item information';
            break;
        
        default:
            return '';
            break;
    }
}
*/

?>